Skip to main content
Released 15th October 2026

Seven Days Log TSP provider support

This release adds seven_days_log as a new valid value for the source_name field across the Organizations API TSP endpoints and all Telematics API endpoints. The change is additive and backward-compatible.
Backward-compatible addition: The new seven_days_log enum value is purely additive. No existing integrations are affected.

New TSP source name


Organizations API

The source_name field now accepts and may return seven_days_log on all Organizations API TSP endpoints.

Affected endpoints

The source_name query parameter now accepts seven_days_log for filtering. The source_name field in each item of the response may now return seven_days_log.
The source_name field in the request body and the 201 response now accepts seven_days_log.
The source_name field in the response may now return seven_days_log.
The source_name field in the request body and the 200 response now accepts seven_days_log.

Telematics API

The source_name field may now return seven_days_log on all Telematics API endpoints.

Affected endpoints

  • GET /v2/telematics/fleet-info
  • GET /v2/telematics/fleet-info/{fleet_info_id}
  • GET /v2/telematics/vehicles
  • GET /v2/telematics/vehicles/{vehicle_id}
  • GET /v2/telematics/vehicle-locations
  • GET /v2/telematics/vehicle-sensor-events
  • GET /v2/telematics/engine-logs
  • GET /v2/telematics/engine-statuses
  • GET /v2/telematics/trailers
  • GET /v2/telematics/trailers/{trailer_id}
  • GET /v2/telematics/trailer-locations
  • GET /v2/telematics/trailer-statuses
  • GET /v2/telematics/trailer-vehicle-associations
  • GET /v2/telematics/users
  • GET /v2/telematics/users/{user_id}
  • GET /v2/telematics/driver-vehicle-associations
  • GET /v2/telematics/hos-events
  • GET /v2/telematics/hos-events/{hos_event_id}/attachments
  • GET /v2/telematics/hos-daily-logs
  • GET /v2/telematics/hos-daily-snapshots
  • GET /v2/telematics/hos-availabilities
  • GET /v2/telematics/hos-violations
  • GET /v2/telematics/dvir-logs
  • GET /v2/telematics/dvir-logs/defects
  • GET /v2/telematics/dvir-logs/{dvir_log_id}/defects
  • GET /v2/telematics/ifta-summaries
  • GET /v2/telematics/documents
  • GET /v2/telematics/driver-safety-events
  • GET /v2/telematics/messages
  • GET /v2/telematics/group-messages
  • GET /v2/telematics/workflows
  • GET /v2/telematics/workflows/{workflow_id}
  • GET /v2/telematics/fuel-transactions
  • GET /v2/telematics/analytics/drivers
  • GET /v2/telematics/analytics/vehicles
  • GET /v2/telematics/analytics/vehicles/live-locations
  • GET /v2/telematics/analytics/trailers
  • GET /v2/telematics/analytics/trailers/live-locations

Need help?

Organizations API reference

View complete endpoint documentation for the Organizations API

Telematics API reference

View complete endpoint documentation for the Telematics API

Contact support

Questions about your integration? Our team is here to help